/*
*dumpcolor.c
*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#define PIXELS 256
Display         *dsp ;
Colormap        cmap ;
XColor          colors[PIXELS] ;
int             scr ;
Window		rwin, win1, win2 ;
XSetWindowAttributes watt;
unsigned int	x, y, w, h, bdw ;
unsigned long	bdcolor, bgcolor ;

FILE		*fp ;
Status		sts ;
int		i ;

main( int argc, char **argv )
{
        if( argc !=3 ){
                printf( "Usage: %s HostName:Dsp ScreenNo\n", argv[0] ) ;
                exit(1) ;
        }
        dsp = XOpenDisplay( argv[1] ) ;
	if( !dsp ){
		printf( "Can't open display\n" ) ;
		exit(2) ;
	}
        scr = atoi( argv[2] ) ;

        cmap = DefaultColormap( dsp, scr ) ;

	printf( " pixel |  red | blue | green\n" ) ;
	printf( "-------+------+------+------\n" ) ;
	for( i=0; i<PIXELS ; i++ ){
		colors[i].pixel = i ;
	}
       	sts = XQueryColors( dsp, cmap, colors, PIXELS ) ;
	for( i=0; i<PIXELS ; i++ ){
       		printf( " %5d : %5d  %5d  %5d\n", colors[i].pixel, colors[i].red, colors[i].green, colors[i].blue ) ;
	}

	XCloseDisplay( dsp ) ;
}
